Get Automation
Retrieve one automation, including its steps when they can be represented here.
Request
GET /automations/{uuid}
Path Parameters
| Parameter | Type | Description |
|---|---|---|
uuid | string | Automation's UUID |
Example Request
curl -X GET "https://email.easy.tools/api/v1/automations/2b34fffc-17ef-4062-8900-e4a62e3337c5" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
Response
Success Response (200 OK)
The automation detail.
When structure is linear, steps is the chain in send order and every step has branches set to null. See the linear response on Create Automation.
When structure is branched and the chain ends in an audience branch, steps is that chain and the last step is branch. If the segment on an arm no longer exists, that arm's segment_uuid is null and the rest of the tree is still returned.
When the steps cannot be represented here, steps is null and the header is still returned. See Structure.
{
"data": {
"uuid": "2b34fffc-17ef-4062-8900-e4a62e3337c5",
"name": "Welcome series branch",
"status": "draft",
"structure": "branched",
"trigger": {
"type": "contact_added_to_list",
"list_uuid": "cd9a83c7-f3ac-49ff-8031-adf6b455d8b8",
"segment_uuid": null,
"product_uuid": null,
"variant_uuid": null,
"waitlist_uuid": null,
"conditions": null
},
"reentry_policy": "multiple_times",
"timezone_mode": "contact",
"timezone_uuid": null,
"language": null,
"steps": [
{
"uuid": "867e6910-c507-4d0a-8037-222a68dc4b30",
"type": "timer",
"delay_value": 1,
"delay_unit": "hours",
"name": null,
"subject": null,
"preheader": null,
"from_name": null,
"reply_to": null,
"from_identity": null,
"from_email": null,
"content": null,
"content_editable_via_api": null,
"content_overwrite_required": null,
"branches": null
},
{
"uuid": "15b5e475-0571-4fad-96b7-d1a37af4776e",
"type": "branch",
"delay_value": null,
"delay_unit": null,
"name": null,
"subject": null,
"preheader": null,
"from_name": null,
"reply_to": null,
"from_identity": null,
"from_email": null,
"content": null,
"content_editable_via_api": null,
"content_overwrite_required": null,
"branches": [
{
"condition_type": "audience_matches",
"segment_uuid": "26e7be80-cd42-4191-889d-fc9497a0568d",
"name": "Already bought",
"steps": [
{
"uuid": "a1ed6f10-1409-4d17-a75a-2c14d31c025a",
"type": "send_email",
"delay_value": null,
"delay_unit": null,
"name": "Welcome",
"subject": "Welcome",
"preheader": null,
"from_name": null,
"reply_to": null,
"from_identity": "e050fca6-7eeb-45a1-b3e7-3a1ebff6e375",
"from_email": "hello@example.com",
"content": "Hello",
"content_editable_via_api": true,
"content_overwrite_required": false,
"branches": null
}
]
},
{
"condition_type": "audience_not_matches",
"segment_uuid": "26e7be80-cd42-4191-889d-fc9497a0568d",
"name": null,
"steps": [
{
"uuid": "79f050b4-779b-4cc1-acc5-6d10234848d5",
"type": "send_email",
"delay_value": null,
"delay_unit": null,
"name": "An offer",
"subject": "An offer",
"preheader": null,
"from_name": null,
"reply_to": null,
"from_identity": "e050fca6-7eeb-45a1-b3e7-3a1ebff6e375",
"from_email": "hello@example.com",
"content": "See this",
"content_editable_via_api": true,
"content_overwrite_required": false,
"branches": null
}
]
}
]
}
],
"created_at": "2026-09-30T11:52:46Z",
"updated_at": "2026-09-30T11:52:46Z"
}
}
Response Fields
See Automation Object, Trigger Object, Step Object, and Branch Object.
Error Responses
Not Found Error (404)
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Automation with UUID '2b34fffc-17ef-4062-8900-e4a62e3337c5' not found"
}
}